#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 32. KDE Plasma

- Prev

  kirigami-addons-1.4.0

- Next

  Building Plasma

- Up
- Home

# pulseaudio-qt-1.7.0

## Introduction to pulseaudio-qt

This package is a Qt-style wrapper for PulseAudio-17.0. It allows querying and manipulation of various PulseAudio objects such as Sinks, Sources and Streams. It does not wrap the full feature set of libpulse.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/pulseaudio-qt/pulseaudio-qt-1.7.0.tar.xz

- Download MD5 sum: 247fcc8c7876f84c8a13d1601d388fc2

- Download size: 40 KB

- Estimated disk space required: 5.8 MB

- Estimated build time: 0.1 SBU

### Konsole Dependencies

#### Required

KDE Frameworks-6.11.0 and PulseAudio-17.0

## Installation of pulseaudio-qt

Install pulseaudio-qt by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_PREFIX_PATH=$QT6DIR        \
          -D CMAKE_SKIP_INSTALL_RPATH=ON      \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          .. &&
    make

Now as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libKF6PulseAudioQt.so
Installed Directories: $KF6_PREFIX/lib/cmake/KF6PulseAudioQt and $KF6_PREFIX/include/KF6/KF6PulseAudioQt

- Prev

  kirigami-addons-1.4.0

- Next

  Building Plasma

- Up
- Home